org.gradle.language.rc

## Interface WindowsResourceSet

- All Superinterfaces:
    Buildable, HeaderExportingSourceSet, LanguageSourceSet, Named

      @Incubating
      public interface WindowsResourceSet
      extends LanguageSourceSet, HeaderExportingSourceSet

  A set of Windows Resource definition files.

  A Windows Resource set contains a set of script files, together with an optional set of header files.

       apply plugin: "windows-resources"

       sources {
           main {
               // Configure an existing WindowsResourceSet
               rc {
                   source {
                       srcDirs "src/main/rc"
                       include "**/*.rc"
                   }
                   exportedHeaders {
                       srcDirs "src/main/include"
                   }
               }
           }
       }

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.language.HeaderExportingSourceSet

      `exportedHeaders, getExportedHeaders`

    - ### Methods inherited from interface org.gradle.language.base.LanguageSourceSet

      `getSource, source`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`